Bug 618241 - [gdm] [ALL_LANG] Translation updates
[gdm] [ALL_LANG] Translation updates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: jmccann
desktop-bugs@redhat.com
: RHELNAK, Translation
Depends On: 576491
Blocks: 575750
  Show dependency treegraph
 
Reported: 2010-07-26 09:41 EDT by Ankit Patel
Modified: 2015-01-14 18:25 EST (History)
7 users (show)

See Also:
Fixed In Version: gdm-2.30.4-18.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Translation patch for gdm for Red Hat Supported Languages (1.04 MB, patch)
2010-07-30 09:20 EDT, Ankit Patel
no flags Details | Diff

  None (edit)
Description Ankit Patel 2010-07-26 09:41:08 EDT
Because of #bug 576491 there were new messages introduced to gdm POT and PO translation files. GDM needs to be localized completely in all Red Hat supported languages in order to achieve 100% localization for supported languages.

This bug is to provide translation updates in terms of patch and get GDM localized completely for Red Hat supported languages.
Comment 2 RHEL Product and Program Management 2010-07-26 09:58:04 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Ankit Patel 2010-07-30 09:20:09 EDT
Created attachment 435549 [details]
Translation patch for gdm for Red Hat Supported Languages

Applying this patch should update translations of all Red Hat supported languages.
Comment 5 Ray Strode [halfline] 2010-08-06 15:03:26 EDT
patch added.
Comment 6 Ankit Patel 2010-08-07 05:08:01 EDT
(In reply to comment #5)
> patch added.    

Hi Ray,

patch is added but did not apply to the tree as it's not mentioned anywhere in the spec file.

Could you please check it again?

Thanks!
Ankit
Comment 7 Ray Strode [halfline] 2010-08-09 09:59:26 EDT
Interesting.  I just added it to the existing translations patch in the tree, but that patch isn't being attached anymore.  I'll look into it.
Comment 8 Ray Strode [halfline] 2010-08-09 10:40:23 EDT
s/attached/applied/ in comment 7.

It looks like I stopping applying the patch when fixing bug 587794.

The patch is building now, but I need you to verify one string for me, for gu.po I'm doing:

#: ../gui/user-switch-applet/GNOME_FastUserSwitchApplet.server.in.in.h:3
msgid "User Switcher Applet Factory"
msgstr "વપરાશકર્તા સ્વીચર એપલેટ ફેક્ટરી"

attachment 435549 [details] actually removes the msgstr without putting in a replacement for it.  That causes the build process to complain.  I've added that string back, but if it needs to be changed to something else, let me know.
Comment 9 Ankit Patel 2010-08-09 11:19:34 EDT
(In reply to comment #8)
> s/attached/applied/ in comment 7.
> 
> It looks like I stopping applying the patch when fixing bug 587794.
> 
> The patch is building now, but I need you to verify one string for me, for
> gu.po I'm doing:
> 
> #: ../gui/user-switch-applet/GNOME_FastUserSwitchApplet.server.in.in.h:3
> msgid "User Switcher Applet Factory"
> msgstr "વપરાશકર્તા સ્વીચર એપલેટ ફેક્ટરી"
> 
> attachment 435549 [details] actually removes the msgstr without putting in a replacement
> for it.  That causes the build process to complain.  I've added that string
> back, but if it needs to be changed to something else, let me know.    

The translations are fine for gu.po
Comment 10 Ray Strode [halfline] 2010-08-09 11:21:29 EDT
thanks
Comment 11 Ankit Patel 2010-08-09 11:30:38 EDT
FIXED.

TESTED and VERIFIED with gdm-2.30.4-18.el6.

Thanks!
Ankit
Comment 13 releng-rhel@redhat.com 2010-11-10 15:28:16 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.